| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::ConnectionInterfaceAddressingInterface Class Reference
Connection proxies

`#include <TelepathyQt/Connection>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply
  < Tp::AddressingNormalizationMap,
  Tp::ContactAttributesMap > GetContactsByVCardField (const QString &field, const QStringList &addresses, const QStringList &interfaces, int timeout=-1)
- QDBusPendingReply
  < Tp::AddressingNormalizationMap,
  Tp::ContactAttributesMap > GetContactsByURI (const QStringList &URIs, const QStringList &interfaces, int timeout=-1)

## Public Member Functions

- ConnectionInterfaceAddressingInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- ConnectionInterfaceAddressingInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- ConnectionInterfaceAddressingInterface (Tp::DBusProxy *proxy)
- ConnectionInterfaceAddressingInterface (const Tp::Client::ConnectionInterface &mainInterface)
- ConnectionInterfaceAddressingInterface (const Tp::Client::ConnectionInterface &mainInterface, QObject *parent)
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.Addressing1".

## Constructor & Destructor Documentation

Tp::Client::ConnectionInterfaceAddressingInterface::ConnectionInterfaceAddressingInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceAddressingInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ConnectionInterfaceAddressingInterface::ConnectionInterfaceAddressingInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceAddressingInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ConnectionInterfaceAddressingInterface::ConnectionInterfaceAddressingInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ConnectionInterfaceAddressingInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ConnectionInterfaceAddressingInterface::ConnectionInterfaceAddressingInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface | ) | `[explicit]`

Creates a ConnectionInterfaceAddressingInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::ConnectionInterfaceAddressingInterface::ConnectionInterfaceAddressingInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ConnectionInterfaceAddressingInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ConnectionInterfaceAddressingInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Connection.Interface.Addressing1", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariantMap* Tp::Client::ConnectionInterfaceAddressingInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply<Tp::AddressingNormalizationMap, Tp::ContactAttributesMap> Tp::Client::ConnectionInterfaceAddressingInterface::GetContactsByVCardField | ( | const QString & | field,
|  | const QStringList & | addresses,
|  | const QStringList & | interfaces,
|  | int | timeout = `-1`
| ) |  | `[inline, slot]`

Begins a call to the D-Bus method `GetContactsByVCardField` on the remote object.

Request contacts and retrieve their attributes using a given field in their vCards.

The connection manager should record that these handles are in use by the client who invokes this method, and must not deallocate the handles until the client disconnects from the bus or calls the ConnectionInterface::ReleaseHandles() method.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  field | The vCard field of the addresses we are requesting. The field name SHOULD be in lower case. Supported fields can be found in ProtocolInterfaceAddressingInterface::AddressableVCardFields . The `url` vCard field MUST NOT appear here; see GetContactsByURI() instead. In practice, protocols have a limited set of URI schemes that make sense to resolve as a contact.
  addresses | The addresses to get contact handles for. The address types should match the given vCard field.

  interfaces

  A list of strings indicating which D-Bus interfaces the calling process is interested in. All supported attributes from these interfaces, whose values can be obtained without additional network activity, will be in the reply.

  Attributes from this interface and from ConnectionInterface are always returned, and need not be requested explicitly.

  The behavior of this parameter is similar to the same parameter in ConnectionInterfaceContactsInterface::GetContactAttributes() .

  timeout | The timeout in milliseconds.

Returns:

A mapping from requested vCard addresses to the corresponding contact handles.

Requested addresses that are not valid or understood for this protocol MUST be omitted from the mapping.

Returns:

A dictionary mapping the contact handles to contact attributes. If any of the requested addresses are in fact invalid, they are simply omitted from this mapping. If contact attributes are not immediately known, the behaviour is defined by the interface; the attribute should either be omitted from the result or replaced with a default value.

Requested addresses that are not valid or understood for this protocol MUST be omitted from the mapping.

Each contact's attributes will always include at least the identifier that would be obtained by inspecting the handle (`org.freedesktop.Telepathy.Connection/contact-id`).

QDBusPendingReply<Tp::AddressingNormalizationMap, Tp::ContactAttributesMap> Tp::Client::ConnectionInterfaceAddressingInterface::GetContactsByURI | ( | const QStringList & | URIs,
|  | const QStringList & | interfaces,
|  | int | timeout = `-1`
| ) |  | `[inline, slot]`

Begins a call to the D-Bus method `GetContactsByURI` on the remote object.

Request contacts and retrieve their attributes using URI addresses.

The connection manager should record that these handles are in use by the client who invokes this method, and must not deallocate the handles until the client disconnects from the bus or calls the ConnectionInterface::ReleaseHandles() method.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  URIs | The URI addresses to get contact handles for. Supported schemes can be found in AddressableURISchemes.

  interfaces

  A list of strings indicating which D-Bus interfaces the calling process is interested in. All supported attributes from these interfaces, whose values can be obtained without additional network activity, will be in the reply.

  Attributes from this interface and from ConnectionInterface are always returned, and need not be requested explicitly.

  The behavior of this parameter is similar to the same parameter in ConnectionInterfaceContactsInterface::GetContactAttributes() .

  timeout | The timeout in milliseconds.

Returns:

A mapping of requested URIs to the corresponding contact handles.

Requested URIs that are not valid or understood for this protocol MUST be omitted from the mapping.

Returns:

A dictionary mapping the contact handles to contact attributes. If any of the requested addresses are in fact invalid, they are simply omitted from this mapping. If contact attributes are not immediately known, the behaviour is defined by the interface; the attribute should either be omitted from the result or replaced with a default value.

Requested URIs that are not valid or understood for this protocol MUST be omitted from the mapping.

Each contact's attributes will always include at least the identifier that would be obtained by inspecting the handle (`org.freedesktop.Telepathy.Connection/contact-id`).

void Tp::Client::ConnectionInterfaceAddressingInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.